## nordugrid-arc-nagios-plugins 1.8.4

=== Makefile ===
VERSION = $(shell cat VERSION)
BASEVERSION = $(VERSION:%[a-z]*=%)
DEFRPMRELEASE = 1

default:
	@echo "Main target is 'dist'"
	@echo "VERSION = $(VERSION)"
	@echo "BASEVERSION = $(BASEVERSION)"
	@echo "PREVERSION = $(PREVERSION)"

sdist:
	python setup.py $@

TEMPLATED = debian/changelog nordugrid-arc-nagios-plugins.spec

$(TEMPLATED): %: %.in VERSION
	@VERSION=`cat VERSION|tr -d '\\n'`; \
	BASEVERSION=$${VERSION%%[a-z]*}; \
	PREVERSION=`echo -n $$VERSION | sed s/^[0-9.]*//`; \
	RPMRELEASE=$${PREVERSION:+0.}$${PREVERSION:-$${DEFRPMRELEASE}}; \
	DEBVERSION=$$BASEVERSION$${PREVERSION:+\~}$${PREVERSION}; \
        DATER=`date +'%a, %d %b %Y %H:%M:%S %z'`; \
	echo "Updating $@ to version $$VERSION."; \
        sed -e "s;@VERSION@;$$VERSION;g" \
	    -e "s;@BASEVERSION@;$$BASEVERSION;g" \
	    -e "s;@PREVERSION@;$$PREVERSION;g" \
	    -e "s;@RPMRELEASE@;$$RPMRELEASE;g" \
	    -e "s;@DEBVERSION@;$$DEBVERSION;g" \
            -e "s;@DATER@;$$DATER;g" \
               < $< > $@
	
dist: $(TEMPLATED) sdist
	test -d dist && find dist -type f -name \*tar.gz -exec cp -p '{}' $(CURDIR) \;

rpm: dist
	VERSION=`cat VERSION|tr -d '\\n'`; \
	rpmbuild -tb nordugrid-arc-nagios-plugins-$$VERSION.tar.gz

.PHONY: dist rpm

=== debian/changelog ===
nordugrid-arc-nagios-plugins (1.8.4-2) unstable; urgency=medium

  * Update python handling in debian/control
  * New package upload (Closes: #805637)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 20 Nov 2015 13:52:18 +0100

nordugrid-arc-nagios-plugins (1.8.4-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Fri, 11 Sep 2015 10:38:38 +0200

nordugrid-arc-nagios-plugins (1.8.3-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Thu, 02 Jul 2015 15:01:23 +0200

nordugrid-arc-nagios-plugins (1.8.2-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Fri, 27 Mar 2015 15:05:18 +0100

nordugrid-arc-nagios-plugins (1.8.2~rc2-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Thu, 15 Jan 2015 12:28:01 +0100

nordugrid-arc-nagios-plugins (1.8.2~rc1-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Fri, 09 Jan 2015 13:50:12 +0100

nordugrid-arc-nagios-plugins (1.8.1-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Fri, 15 Aug 2014 22:44:44 +0200

nordugrid-arc-nagios-plugins (1.8.1~rc1-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Sun, 06 Jul 2014 22:37:39 +0200

nordugrid-arc-nagios-plugins (1.8.0-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Wed, 30 Apr 2014 21:18:03 +0200

nordugrid-arc-nagios-plugins (1.7.0-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Mon, 25 Nov 2013 21:25:48 +0100

nordugrid-arc-nagios-plugins (1.6.0-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Sat, 20 Apr 2013 00:55:28 +0200

nordugrid-arc-nagios-plugins (1.6.0~rc1-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Wed, 10 Apr 2013 19:10:25 +0200

nordugrid-arc-nagios-plugins (1.5.0-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Wed, 20 Feb 2013 01:22:27 +0100

nordugrid-arc-nagios-plugins (1.4.0~rc1-1) UNRELEASED; urgency=low

  * 1.4.0 Release candidate 1

 -- Anders Waananen <waananen@nbi.dk>  Wed, 28 Nov 2012 12:51:47 +0100

nordugrid-arc-nagios-plugins (1.3.11-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Mon, 29 Oct 2012 18:22:25 +0100

nordugrid-arc-nagios-plugins (1.3.10-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Wed, 26 Sep 2012 17:08:36 +0200

=== debian/control ===
Source: nordugrid-arc-nagios-plugins
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Uploaders: Anders Waananen <waananen@nbi.dk>
Build-Depends: debhelper (>= 5), python, python-setuptools, python-sphinx, dh-python
Standards-Version: 3.9.6
Homepage: http://www.nordugrid.org

Package: nordugrid-arc-nagios-plugins
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python, python-argparse, python-ldap, nordugrid-arc-client (>= 1.0.0), nordugrid-arc-python (>= 1.0.0), glue-schema (>= 2.0.8)
XB-Python-Version: ${python:Versions}
Description: Nagios plugins for ARC
 This package provides the Nagios plugins for testing ARC computing elements.

Package: nordugrid-arc-nagios-plugins-doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Section: doc
Description: HTML documentation for the ARC Nagios plugins
 This package provides HTML documentation for the ARC Nagios plugins.

Package: nordugrid-arc-nagios-plugins-egi
Architecture: all
Depends: ${misc:Depends}, nordugrid-arc-nagios-plugins (= ${binary:Version})
Description: EGI configuration and dependencies for the ARC Nagios plugins
 This package provides EGI configuration and dependencies for the ARC Nagios
 plugins.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/dpkg/buildflags.mk

configure: configure-stamp

configure-stamp:
	dh_testdir
	touch $@

build: build-arch build-indep

build-arch:

build-indep: build-stamp

build-stamp: configure-stamp
	python setup.py build
	make -C doc html
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -rf build doc/_build
	dh_clean configure-stamp build-stamp

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	python setup.py install --prefix=/usr --root=debian/tmp --skip-build

	# Remove executable permissions and shebang
	chmod 644 debian/tmp/etc/arc/nagios/60-egi.d/arcce_igtf.py
	sed 1d -i debian/tmp/etc/arc/nagios/60-egi.d/arcce_igtf.py

binary: binary-arch binary-indep

binary-arch:

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installdocs
	dh_installchangelogs
	dh_install --fail-missing
	dh_sphinxdoc
	dh_python2
	dh_link
	dh_compress -X html
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build-arch build-indep build clean binary-arch binary-indep binary install configure

## nordugrid-arc-nagios-plugins 1.9.1

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	@VERSION=`cat VERSION|tr -d '\\n'`; \
 	BASEVERSION=$${VERSION%%[a-z]*}; \
 	PREVERSION=`echo -n $$VERSION | sed s/^[0-9.]*//`; \
-	RPMRELEASE=$${PREVERSION:+0.}$${PREVERSION:-$${DEFRPMRELEASE}}; \
+	RPMRELEASE=$${PREVERSION:+0.}$${PREVERSION:-$(DEFRPMRELEASE)}; \
 	DEBVERSION=$$BASEVERSION$${PREVERSION:+\~}$${PREVERSION}; \
         DATER=`date +'%a, %d %b %Y %H:%M:%S %z'`; \
 	echo "Updating $@ to version $$VERSION."; \

=== debian/changelog ===
nordugrid-arc-nagios-plugins (1.9.1-2) unstable; urgency=medium

  * Change Build-Depends from python-sphinx to python3-sphinx (lintian warning)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 28 Mar 2018 13:25:52 +0200

nordugrid-arc-nagios-plugins (1.9.1-1) unstable; urgency=medium

  * New upstream release 1.9.1.

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 07 Jul 2017 11:54:13 +0200

nordugrid-arc-nagios-plugins (1.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Change Maintainer e-mail (fysast → physics)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 06 Jun 2017 00:01:43 +0200

=== debian/control ===
Source: nordugrid-arc-nagios-plugins
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Uploaders: Anders Waananen <waananen@nbi.dk>
Build-Depends: debhelper (>= 9), python, python-setuptools, python3-sphinx, dh-python
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/ellert/nordugrid-arc-nagios-plugins
Vcs-Git: https://salsa.debian.org/ellert/nordugrid-arc-nagios-plugins.git
Homepage: http://www.nordugrid.org

Package: nordugrid-arc-nagios-plugins
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python, python-argparse, python-ldap, python-genshi, python-ply, nordugrid-arc-client (>= 1.0.0), nordugrid-arc-python (>= 1.0.0), glue-schema (>= 2.0.8)
XB-Python-Version: ${python:Versions}
Description: Nagios plugins for ARC
 This package provides the Nagios plugins for testing ARC computing elements.

Package: nordugrid-arc-nagios-plugins-doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Section: doc
Description: HTML documentation for the ARC Nagios plugins
 This package provides HTML documentation for the ARC Nagios plugins.

Package: nordugrid-arc-nagios-plugins-egi
Architecture: all
Depends: ${misc:Depends}, nordugrid-arc-nagios-plugins (= ${binary:Version}), nordugrid-arc-plugins-globus (>= 1.0.0)
Description: EGI configuration and dependencies for the ARC Nagios plugins
 This package provides EGI configuration and dependencies for the ARC Nagios
 plugins.

=== debian/rules ===
--- 
+++ 
@@ -31,10 +31,6 @@
 	dh_prep
 	python setup.py install --prefix=/usr --root=debian/tmp --skip-build
 
-	# Remove executable permissions and shebang
-	chmod 644 debian/tmp/etc/arc/nagios/60-egi.d/arcce_igtf.py
-	sed 1d -i debian/tmp/etc/arc/nagios/60-egi.d/arcce_igtf.py
-
 binary: binary-arch binary-indep
 
 binary-arch:
@@ -45,7 +41,8 @@
 	dh_installdirs
 	dh_installdocs
 	dh_installchangelogs
-	dh_install --fail-missing
+	dh_install
+	dh_missing --fail-missing
 	dh_sphinxdoc
 	dh_python2
 	dh_link

## nordugrid-arc-nagios-plugins 2.0.0

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	@echo "PREVERSION = $(PREVERSION)"
 
 sdist:
-	python setup.py $@
+	python3 setup.py $@
 
 TEMPLATED = debian/changelog nordugrid-arc-nagios-plugins.spec
 
@@ -19,16 +19,16 @@
 	PREVERSION=`echo -n $$VERSION | sed s/^[0-9.]*//`; \
 	RPMRELEASE=$${PREVERSION:+0.}$${PREVERSION:-$(DEFRPMRELEASE)}; \
 	DEBVERSION=$$BASEVERSION$${PREVERSION:+\~}$${PREVERSION}; \
-        DATER=`date +'%a, %d %b %Y %H:%M:%S %z'`; \
+	DATER=`date +'%a, %d %b %Y %H:%M:%S %z'`; \
 	echo "Updating $@ to version $$VERSION."; \
-        sed -e "s;@VERSION@;$$VERSION;g" \
+	sed -e "s;@VERSION@;$$VERSION;g" \
 	    -e "s;@BASEVERSION@;$$BASEVERSION;g" \
 	    -e "s;@PREVERSION@;$$PREVERSION;g" \
 	    -e "s;@RPMRELEASE@;$$RPMRELEASE;g" \
 	    -e "s;@DEBVERSION@;$$DEBVERSION;g" \
-            -e "s;@DATER@;$$DATER;g" \
-               < $< > $@
-	
+	    -e "s;@DATER@;$$DATER;g" \
+	       < $< > $@
+
 dist: $(TEMPLATED) sdist
 	test -d dist && find dist -type f -name \*tar.gz -exec cp -p '{}' $(CURDIR) \;

=== debian/changelog ===
nordugrid-arc-nagios-plugins (2.0.0-1) unstable; urgency=medium

  * Version 2.0.0

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 19 Nov 2019 09:04:49 +0100

nordugrid-arc-nagios-plugins (2.0.0~rc2-1) unstable; urgency=medium

  * Version 2.0.0 rc2
  * This version uses python 3 (Closes: #937154)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 03 Oct 2019 13:59:58 +0200

=== debian/control ===
Source: nordugrid-arc-nagios-plugins
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Uploaders: Anders Waananen <waananen@nbi.dk>
Build-Depends:
 debhelper (>= 10),
 python3,
 python3-setuptools,
 python3-cryptography,
 python3-jinja2,
 python3-ldap3,
 python3-sphinx,
 dh-python
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/ellert/nordugrid-arc-nagios-plugins
Vcs-Git: https://salsa.debian.org/ellert/nordugrid-arc-nagios-plugins.git
Homepage: http://www.nordugrid.org

Package: nordugrid-arc-nagios-plugins
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-cryptography,
 python3-jinja2,
 python3-ldap3,
 nordugrid-arc-client (>= 1.0.0),
 glue-schema (>= 2.0.8)
Description: Nagios plugins for ARC
 This package provides the Nagios plugins for testing ARC computing elements.

Package: nordugrid-arc-nagios-plugins-doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Built-Using:
 ${sphinxdoc:Built-Using}
Section: doc
Description: HTML documentation for the ARC Nagios plugins
 This package provides HTML documentation for the ARC Nagios plugins.

Package: nordugrid-arc-nagios-plugins-egi
Architecture: all
Depends:
 ${misc:Depends},
 nordugrid-arc-nagios-plugins (= ${binary:Version}),
 nordugrid-arc-plugins-globus (>= 1.0.0)
Description: EGI configuration and dependencies for the ARC Nagios plugins
 This package provides EGI configuration and dependencies for the ARC Nagios
 plugins.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --with sphinxdoc --buildsystem pybuild

override_dh_auto_build:
	dh_auto_build
	make -C doc html

override_dh_auto_clean:
	dh_auto_clean
	rm -rf nordugrid_arc_nagios_plugins.egg-info
	rm -rf build doc/_build

override_dh_missing:
	dh_missing --fail-missing

## nordugrid-arc-nagios-plugins 2.0.1~rc1

=== debian/changelog ===
nordugrid-arc-nagios-plugins (2.0.1~rc1-1~cosmic1) cosmic; urgency=medium

  * Backport to ubuntu cosmic

 -- Anders Waananen <waananen@nbi.dk>  Mon, 30 Oct 2023 19:47:52 +0100

nordugrid-arc-nagios-plugins (2.0.1~rc1-1) unstable; urgency=low

  * New upstream release candidate 2.0.1rc1.

 -- Petter Urkedal <urkedal@nbi.dk>  Thu, 25 Oct 2023 12:40:00 +0200

nordugrid-arc-nagios-plugins (2.0.0-1) unstable; urgency=low

  * New upstream release 2.0.0.

 -- Petter Urkedal <urkedal@nbi.dk>  Thu, 14 Nov 2019 10:47:58 +0100

nordugrid-arc-nagios-plugins (2.0.0~rc3-1) unstable; urgency=low

  * New upstream release candidate 2.0.0rc3.

 -- Petter Urkedal <urkedal@nbi.dk>  Mon, 14 Oct 2019 12:33:43 +0200

nordugrid-arc-nagios-plugins (2.0.0~rc2-1) unstable; urgency=low

  * New upstream release candidate 2.0.0rc2.

 -- Petter Urkedal <urkedal@nbi.dk>  Wed, 02 Oct 2019 13:49:02 +0200

nordugrid-arc-nagios-plugins (2.0.0~rc1-1) unstable; urgency=low

  * New upstream release candidate 2.0.0rc1.

 -- Petter Urkedal <urkedal@nbi.dk>  Thu, 25 Apr 2019 11:28:52 +0200

nordugrid-arc-nagios-plugins (1.9.1~rc1-1) unstable; urgency=low

  * New upstream release candidate 1.9.1rc1.

 -- Petter Urkedal <urkedal@nbi.dk>  Thu, 15 Jun 2017 17:07:26 +0200

nordugrid-arc-nagios-plugins (1.9.0-1) unstable; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Wed, 31 May 2017 09:50:19 +0200

nordugrid-arc-nagios-plugins (1.9.0~rc1-1) unstable; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Tue, 25 Apr 2017 21:19:12 +0200

nordugrid-arc-nagios-plugins (1.8.4-1) unstable; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Fri, 11 Sep 2015 10:38:38 +0200

nordugrid-arc-nagios-plugins (1.8.3-1) unstable; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Thu, 02 Jul 2015 15:01:23 +0200

nordugrid-arc-nagios-plugins (1.8.2-1) unstable; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Fri, 27 Mar 2015 15:05:18 +0100

nordugrid-arc-nagios-plugins (1.8.2~rc2-1) unstable; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Thu, 15 Jan 2015 12:28:01 +0100

nordugrid-arc-nagios-plugins (1.8.2~rc1-1) unstable; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Fri, 09 Jan 2015 13:50:12 +0100

nordugrid-arc-nagios-plugins (1.8.1-1) unstable; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Fri, 15 Aug 2014 22:44:44 +0200

nordugrid-arc-nagios-plugins (1.8.1~rc1-1) unstable; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Sun, 06 Jul 2014 22:37:39 +0200

nordugrid-arc-nagios-plugins (1.8.0-1) unstable; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Wed, 30 Apr 2014 21:18:03 +0200

nordugrid-arc-nagios-plugins (1.7.0-1) unstable; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Mon, 25 Nov 2013 21:25:48 +0100

nordugrid-arc-nagios-plugins (1.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Sat, 20 Apr 2013 00:55:28 +0200

nordugrid-arc-nagios-plugins (1.6.0~rc1-1) unstable; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Wed, 10 Apr 2013 19:10:25 +0200

nordugrid-arc-nagios-plugins (1.5.0-1) unstable; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Wed, 20 Feb 2013 01:22:27 +0100

nordugrid-arc-nagios-plugins (1.4.0~rc1-1) unstable; urgency=low

  * 1.4.0 Release candidate 1

 -- Anders Waananen <waananen@nbi.dk>  Wed, 28 Nov 2012 12:51:47 +0100

nordugrid-arc-nagios-plugins (1.3.11-1) unstable; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Mon, 29 Oct 2012 18:22:25 +0100

nordugrid-arc-nagios-plugins (1.3.10-1) unstable; urgency=low

  * New upstream release.

 -- Anders Waananen <waananen@nbi.dk>  Wed, 26 Sep 2012 17:08:36 +0200

=== debian/control ===
Source: nordugrid-arc-nagios-plugins
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Uploaders: Anders Waananen <waananen@nbi.dk>
Build-Depends: debhelper (>= 5), dh-python,
 python3, python3-setuptools, python3-sphinx
X-Python-Version: 3.8.2
Standards-Version: 3.9.2
Vcs-Browser: http://svn.nordugrid.org/trac/nordugrid/browser/nagios
Vcs-Svn: http://svn.nordugrid.org/repos/nordugrid/nagios
Homepage: http://www.nordugrid.org

Package: nordugrid-arc-nagios-plugins
Architecture: all
# FIXME: nordugrid-arc-client should be (>= 1.0.0 && << 6.0.0~ || >= 6.3.0~)
Depends: ${misc:Depends}, ${python3:Depends},
 python3, python3-cryptography, python3-jinja2, python3-ldap3,
 nordugrid-arc-client (>= 1.0.0)
Description: NorduGrid ARC Nagios plugins
 This package provides the Nagios plugins for testing ARC CE, using the ARC-1
 API.

Package: nordugrid-arc-nagios-plugins-doc
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
Section: doc
Description: NorduGrid ARC Nagios plugins documentation
 This package contains HTML documentation for the ARC nagios probes.

Package: nordugrid-arc-nagios-plugins-egi
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: EGI configuration and dependencies for the ARC Nagios plugins
 This package contains EGI specific probe(s) and configuration.

## nordugrid-arc-nagios-plugins 2.0.1~rc2

=== debian/changelog ===
nordugrid-arc-nagios-plugins (2.0.1~rc2-1~jammy1) jammy; urgency=medium

  * Backport to ubuntu jammy

 -- Anders Waananen <waananen@nbi.dk>  Thu, 02 Nov 2023 20:18:48 +0100

nordugrid-arc-nagios-plugins (2.0.1~rc2-1) unstable; urgency=low

  * New upstream release candidate 2.0.1rc2.

 -- Anders Waananen <waananen@nbi.dk>  Thu, 02 Nov 2023 17:38:06 +0100

## nordugrid-arc-nagios-plugins 2.0.1

=== debian/changelog ===
nordugrid-arc-nagios-plugins (2.0.1-2) unstable; urgency=medium

  * Replace SafeConfigParser with ConfigParser (Closes: #1074697)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 12 Jul 2024 07:14:22 +0200

nordugrid-arc-nagios-plugins (2.0.1-1) unstable; urgency=medium

  * Version 2.0.1

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 10 Nov 2023 11:36:51 +0100

nordugrid-arc-nagios-plugins (2.0.1~rc1-1) unstable; urgency=medium

  * Version 2.0.1 rc1
  * Installs in /usr/lib and no longer inherits LIBDIR from Python
  * Change package architecture back to all

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 01 Nov 2023 17:30:51 +0100

nordugrid-arc-nagios-plugins (2.0.0-2) unstable; urgency=medium

  * Adapt to LIBDIR change in Debian's python3.9 3.9.3-1 (Closes: #997390)
  * Change package architecture from all to any due to above change
  * Change to debhelper compat level 13
  * Remove override_dh_missing rule (--fail-missing is default)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 28 Oct 2021 15:21:16 +0200

=== debian/control ===
Source: nordugrid-arc-nagios-plugins
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Uploaders: Anders Waananen <waananen@nbi.dk>
Build-Depends:
 debhelper-compat (= 13),
 python3,
 python3-setuptools,
 python3-cryptography,
 python3-jinja2,
 python3-ldap3,
 python3-sphinx,
 dh-python
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/ellert/nordugrid-arc-nagios-plugins
Vcs-Git: https://salsa.debian.org/ellert/nordugrid-arc-nagios-plugins.git
Homepage: https://www.nordugrid.org

Package: nordugrid-arc-nagios-plugins
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-cryptography,
 python3-jinja2,
 python3-ldap3,
 nordugrid-arc-client (>= 1.0.0),
 glue-schema (>= 2.0.8)
Description: Nagios plugins for ARC
 This package provides the Nagios plugins for testing ARC computing elements.

Package: nordugrid-arc-nagios-plugins-doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Built-Using:
 ${sphinxdoc:Built-Using}
Section: doc
Description: HTML documentation for the ARC Nagios plugins
 This package provides HTML documentation for the ARC Nagios plugins.

Package: nordugrid-arc-nagios-plugins-egi
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 nordugrid-arc-nagios-plugins (= ${binary:Version})
Description: EGI configuration and dependencies for the ARC Nagios plugins
 This package provides EGI configuration and dependencies for the ARC Nagios
 plugins.

## nordugrid-arc-nagios-plugins 3.1.1

=== Makefile ===
VERSION := $(strip $(shell /usr/bin/python3 setup.py -V))
VERSION_LAST := $(strip $(shell cat VERSION 2>/dev/null || :))

default:
	@echo "Main target is 'dist'"
	@echo "VERSION = $(VERSION)"

sdist: VERSION
	/usr/bin/python3 setup.py $@

TEMPLATED = nordugrid-arc-nagios-plugins.spec

$(TEMPLATED): %: %.in VERSION
	@VERSION=$(VERSION); \
	PREVERSION=`echo -n $(VERSION) | sed s/^[0-9.]*//`; \
	RPMRELEASE=$${PREVERSION:+0.}$${PREVERSION:-1}; \
	BASEVERSION=$${VERSION%%[a-z]*}; \
	echo "Updating $@ to version $(VERSION)."; \
	sed -e "s;@VERSION@;$(VERSION);g" \
	    -e "s;@BASEVERSION@;$$BASEVERSION;g" \
	    -e "s;@PREVERSION@;$$PREVERSION;g" \
	    -e "s;@RPMRELEASE@;$$RPMRELEASE;g" \
	    < $< > $@.new && mv -f $@.new $@

dist: $(TEMPLATED) sdist
	test -d dist && find dist -type f -name \*tar.gz -exec cp -p '{}' $(CURDIR) \;

rpm: dist
	rpmbuild -tb nordugrid-arc-nagios-plugins-$(VERSION).tar.gz

ifneq ($(VERSION),$(VERSION_LAST))
VERSION: always
ifeq ($(VERSION_LAST),)
	@echo 'Creating VERSION with content $(VERSION).'
else
	@echo 'Replacing VERSION content from $(VERSION_LAST) to $(VERSION).'
endif
	@echo >$@ $(VERSION)
always:
endif

.PHONY: dist rpm always

=== debian/changelog ===
nordugrid-arc-nagios-plugins (3.1.1-1~jammy1) jammy; urgency=medium

  * Backport to ubuntu jammy

 -- Anders Waananen <waananen@nbi.dk>  Thu, 24 Apr 2025 10:52:46 +0200

nordugrid-arc-nagios-plugins (3.1.1-1) unstable; urgency=low

  * New upstream release 3.1.1.

 -- Petter Urkedal <urkedal@nbi.dk>  Thu, 24 Apr 2025 10:25:00 +0200

nordugrid-arc-nagios-plugins (3.1.0-1) unstable; urgency=low

  * New upstream release 3.1.0.

 -- Petter Urkedal <urkedal@nbi.dk>  Mon, 07 Apr 2025 11:20:00 +0200

nordugrid-arc-nagios-plugins (3.0.0-1) unstable; urgency=low

  * New upstream release 3.0.0.

 -- Petter Urkedal <urkedal@nbi.dk>  Tue, 25 Mar 2025 10:10:00 +0100

nordugrid-arc-nagios-plugins (3.0.0~rc8-1) unstable; urgency=low

  * New upstream release candidate 3.0.0rc8.

 -- Petter Urkedal <urkedal@nbi.dk>  Wed, 15 Jan 2025 13:10:00 +0200

nordugrid-arc-nagios-plugins (3.0.0~rc7-1) unstable; urgency=low

  * New upstream release candidate 3.0.0rc7.

 -- Petter Urkedal <urkedal@nbi.dk>  Wed, 13 Nov 2024 11:45:00 +0200

nordugrid-arc-nagios-plugins (3.0.0~rc6-1) unstable; urgency=low

  * New upstream release candidate 3.0.0rc6.

 -- Petter Urkedal <urkedal@nbi.dk>  Tue, 22 Oct 2024 13:13:35 +0200

nordugrid-arc-nagios-plugins (3.0.0~rc5-1) unstable; urgency=low

  * New upstream release candidate 3.0.0rc5.

 -- Anders Waananen <waananen@nbi.dk>  Wed, 09 Oct 2024 14:35:01 +0200

nordugrid-arc-nagios-plugins (2.0.1-1) unstable; urgency=low

  * New upstream release 2.0.1.

 -- Petter Urkedal <urkedal@nbi.dk>  Fri, 03 Nov 2023 16:15:00 +0100

## nordugrid-arc-nagios-plugins 3.1.2

=== debian/changelog ===
nordugrid-arc-nagios-plugins (3.1.2-1~oracular1) oracular; urgency=medium

  * Backport to ubuntu oracular

 -- Anders Waananen <waananen@nbi.dk>  Fri, 30 May 2025 10:37:04 +0200

nordugrid-arc-nagios-plugins (3.1.2-1) unstable; urgency=low

  * New upstream release 3.1.2.

 -- Petter Urkedal <urkedal@nbi.dk>  Tue, 27 May 2025 09:14:11 +0200

## nordugrid-arc-nagios-plugins 3.2.0

=== debian/changelog ===
nordugrid-arc-nagios-plugins (3.2.0-1) unstable; urgency=medium

  * Version 3.2.0

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 27 Jun 2025 16:26:22 +0200

nordugrid-arc-nagios-plugins (3.1.1-1) unstable; urgency=medium

  * Version 3.1.1

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 25 Apr 2025 04:36:26 +0200

nordugrid-arc-nagios-plugins (3.0.0-1) unstable; urgency=medium

  * Version 3.0.0

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 23 Apr 2025 14:16:56 +0200

## nordugrid-arc-nagios-plugins 3.2.1

=== debian/changelog ===
nordugrid-arc-nagios-plugins (3.2.1-1) unstable; urgency=medium

  * Version 3.2.1

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 05 Jul 2025 17:46:18 +0200

## nordugrid-arc-nagios-plugins 3.2.2

=== debian/changelog ===
nordugrid-arc-nagios-plugins (3.2.2-1) unstable; urgency=medium

  * Version 3.2.2

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 29 Aug 2025 15:04:37 +0200

## nordugrid-arc-nagios-plugins 3.2.3

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,16 @@
-VERSION := $(strip $(shell /usr/bin/python3 setup.py -V))
+PYTHON := /usr/bin/python3
+VERSION := $(strip $(shell $(PYTHON) setup.py -V))
 VERSION_LAST := $(strip $(shell cat VERSION 2>/dev/null || :))
 
 default:
 	@echo "Main target is 'dist'"
 	@echo "VERSION = $(VERSION)"
 
+check-mypy:
+	$(PYTHON) -m mypy arcnagios plugins/check_arcrest_info
+
 sdist: VERSION
-	/usr/bin/python3 setup.py $@
+	$(PYTHON) setup.py $@
 
 TEMPLATED = nordugrid-arc-nagios-plugins.spec

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/NorduGridARCNagiosPlugins.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/NorduGridARCNagiosPlugins.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/NorduGridARCNagiosPlugins"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/NorduGridARCNagiosPlugins"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
nordugrid-arc-nagios-plugins (3.2.3-1) unstable; urgency=medium

  * Version 3.2.3

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 08 Oct 2025 16:39:59 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
  python3-setuptools,
  python3-cryptography,
  python3-jinja2,
- python3-ldap3,
+ python3-ldap,
  python3-sphinx,
  dh-python
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/ellert/nordugrid-arc-nagios-plugins
 Vcs-Git: https://salsa.debian.org/ellert/nordugrid-arc-nagios-plugins.git
 Homepage: https://www.nordugrid.org
@@ -25,9 +25,9 @@
  ${python3:Depends},
  python3-cryptography,
  python3-jinja2,
- python3-ldap3,
- nordugrid-arc-client (>= 1.0.0),
- glue-schema (>= 2.0.8)
+ python3-ldap,
+ nordugrid-arc-client,
+ nordugrid-arc-plugins-arcrest (>= 6.5.0) | nordugrid-arc-plugins-needed (>= 7.0.0)
 Description: Nagios plugins for ARC
  This package provides the Nagios plugins for testing ARC computing elements.

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,3 @@
 	dh_auto_clean
 	rm -rf nordugrid_arc_nagios_plugins.egg-info
 	rm -rf build doc/_build
-
-override_dh_missing:
-	dh_missing --fail-missing
